Loading...
Searching...
No Matches
Magick::DrawableDensity Class Reference
Inheritance diagram for Magick::DrawableDensity:

## Public Member Functions

| DrawableDensity (const Point &density_)
| DrawableDensity (const std::string &density_)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const

## Private Attributes

std::string | _density

## Detailed Description

Definition at line 831 of file Drawable.h.

## Constructor & Destructor Documentation

## DrawableDensity() [1/2]

Magick::DrawableDensity::DrawableDensity | ( | const Point & | density_ | ) |

Definition at line 643 of file Drawable.cpp.

: _density(density_)
{
}

## DrawableDensity() [2/2]

Magick::DrawableDensity::DrawableDensity | ( | const std::string & | density_ | ) |

Definition at line 648 of file Drawable.cpp.

: _density(density_)
{
}

## ~DrawableDensity()

Magick::DrawableDensity::~DrawableDensity | ( | void |  | ) |

Definition at line 653 of file Drawable.cpp.

{
}

## Member Function Documentation

## copy()

Magick::DrawableBase * Magick::DrawableDensity::copy | ( |  | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 663 of file Drawable.cpp.

{
return(new DrawableDensity(*this));
}

## operator()()

void Magick::DrawableDensity::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 657 of file Drawable.cpp.

{
DrawSetDensity(context_,_density.c_str());
}

## Field Documentation

## _density

std::string Magick::DrawableDensity::_density

private

Definition at line 846 of file Drawable.h.

The documentation for this class was generated from the following files:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Magick++/Drawable.h
- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Drawable.cpp